# Tkdr Library

## Rust Tkdr Library for **applications**

Part of the following developments:

- [CloudMandala](https://rlung.librecloud.online/LibreCloud/CloudMandala#cloudmandala)
- [Zteron](https://rlung.librecloud.online/LibreCloud/CloudMandala#cloudmandala)

Includes applications definitions and functions for following areas:

- Encrypt Data
- Decrypt Data
- Templating
- UIDs
- Randomkeys

### Criteria

In a basic application scenario this group or library collections are included together.

Updating packages or dependencies shoud be keep in sync among <u>Cargo.toml</u> declarations.

### How to use

1 - Clone or download this lib in a path, better outside of target development

2 - Get current version from <u>Cargo.toml</u>

3 - <u>For each member of</u>  of **Macros Library** one line like the one below should be included in <u>target development Cargo.toml</u> (adjust version & path) and **use** whatever is need.

```toml
tkdr = { path = "../lib/tkdr" }
```

### Structure

Tkdr for applications

<pre>
.
├── Cargo.toml
├── LICENSE
├── README.md
└── src
    ├── crypt_lib.rs
    ├── lib.rs
    ├── randomkey.rs
    ├── tera_lib.rs
    └── utils.rs
</pre>

## Author

- [Jesús Pérez](https://info.jesusperez.pro).

## License

MIT
